#!/bin/bash
#PBS -q u-lecture
#PBS -W group_list=gt00
#PBS -l select=1:ncpus=4:mpiprocs=4:ompthreads=1
#PBS -l walltime=0:10:00

cd $PBS_O_WORKDIR
export MPI_BUFFER_SIZE=20000000
. /etc/profile.d/modules.sh
module purge
module load intel/17.0.2.174
module load mpt/2.14 
module load openfoam/1612-mpt

blockMesh >& log.blockMesh
decomposePar -cellDist > log.decomposePar 
mpiexec_mpt icoFoam -parallel >& log.icoFoam
reconstructPar >& log.reconstructPar
